src/pam/afs_auth.c warning fix
authorMarc Dionne <marc.c.dionne@gmail.com>
Tue, 10 Nov 2009 23:16:45 +0000 (18:16 -0500)
committerDerrick Brashear <shadow|account-1000005@unknown>
Wed, 11 Nov 2009 15:24:42 +0000 (07:24 -0800)
ka_UserAuthenticateGeneral expects an afs_int32 pointer for the
password_expires argument.  A (long *) was used in afs_auth.c,
generating a few warnings.

Change-Id: Iafc92e72022644ff23c642e801d51bd4387afa88
Reviewed-on: http://gerrit.openafs.org/803
Reviewed-by: Russ Allbery <rra@stanford.edu>
Reviewed-by: Simon Wilkinson <sxw@inf.ed.ac.uk>
Tested-by: Derrick Brashear <shadow@dementia.org>
Reviewed-by: Derrick Brashear <shadow@dementia.org>

src/pam/afs_auth.c

index 8b9d6ae..4807d66 100644 (file)
@@ -60,7 +60,7 @@ pam_sm_authenticate(pam_handle_t * pamh, int flags, int argc,
     int set_expires = 0;       /* This option is only used in pam_set_cred() */
     int got_authtok = 0;       /* got PAM_AUTHTOK upon entry */
     char *user = NULL, *password = NULL;
-    long password_expires = -1;
+    afs_int32 password_expires = -1;
     int torch_password = 1;
     int i;
     struct pam_conv *pam_convp = NULL;